import { ToolbarActionToggle } from '../../toolbar';
import { InformationPlugin } from './information-plugin';
import { Information } from './information';
export declare class InformationToolbarItem extends ToolbarActionToggle {
    get informationPlugin(): InformationPlugin;
    get informationManager(): import('./information-manager').InformationManager | undefined;
    get enabled(): boolean;
    protected init(): void;
    open(): void;
    close(): void;
    protected item({ name, value, total }: Information): HTMLDivElement;
}
